Atualizar um conjunto de configurações
curl --request PATCH \
--url https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sending_enabled": true,
"suppression_overrides": [
"<string>"
],
"ip_pool": "<string>",
"tracking_open": true,
"tracking_click": true,
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}"
payload = {
"sending_enabled": True,
"suppression_overrides": ["<string>"],
"ip_pool": "<string>",
"tracking_open": True,
"tracking_click": True,
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sending_enabled: true,
suppression_overrides: ['<string>'],
ip_pool: '<string>',
tracking_open: true,
tracking_click: true,
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sending_enabled' => true,
'suppression_overrides' => [
'<string>'
],
'ip_pool' => '<string>',
'tracking_open' => true,
'tracking_click' => true,
'tags' => [
'environment' => 'production',
'team' => 'backend'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}"
payload := strings.NewReader("{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}"
response = http.request(request)
puts response.read_body{
"configuration_set": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "<string>",
"name": "<string>",
"sending_enabled": true,
"suppression_overrides": [
"<string>"
],
"ip_pool": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:email:sa-saopaulo-1:acme:ip-pool/transactional",
"name": "transactional"
},
"tracking_open": true,
"tracking_click": true,
"tags": {
"environment": "production",
"team": "backend"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}Conjuntos de configurações
Atualizar um conjunto de configurações
PATCH
/
v1
/
configuration-sets
/
{configuration_set_id}
Atualizar um conjunto de configurações
curl --request PATCH \
--url https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sending_enabled": true,
"suppression_overrides": [
"<string>"
],
"ip_pool": "<string>",
"tracking_open": true,
"tracking_click": true,
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}"
payload = {
"sending_enabled": True,
"suppression_overrides": ["<string>"],
"ip_pool": "<string>",
"tracking_open": True,
"tracking_click": True,
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sending_enabled: true,
suppression_overrides: ['<string>'],
ip_pool: '<string>',
tracking_open: true,
tracking_click: true,
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'sending_enabled' => true,
'suppression_overrides' => [
'<string>'
],
'ip_pool' => '<string>',
'tracking_open' => true,
'tracking_click' => true,
'tags' => [
'environment' => 'production',
'team' => 'backend'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}"
payload := strings.NewReader("{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://email.{region}.basaltic.sh/v1/configuration-sets/{configuration_set_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sending_enabled\": true,\n \"suppression_overrides\": [\n \"<string>\"\n ],\n \"ip_pool\": \"<string>\",\n \"tracking_open\": true,\n \"tracking_click\": true,\n \"tags\": {\n \"environment\": \"production\",\n \"team\": \"backend\"\n }\n}"
response = http.request(request)
puts response.read_body{
"configuration_set": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "<string>",
"name": "<string>",
"sending_enabled": true,
"suppression_overrides": [
"<string>"
],
"ip_pool": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:email:sa-saopaulo-1:acme:ip-pool/transactional",
"name": "transactional"
},
"tracking_open": true,
"tracking_click": true,
"tags": {
"environment": "production",
"team": "backend"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}Exige a ação IAM
email:UpdateConfigurationSet. Veja permissões de Email for the full list, what each one covers, and an example policy.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Corpo
application/json
UUID, CRN ou nome exclusivo na conta. Omita para preservar; null desvincula o pool.
Minimum string length:
1Show child attributes
Show child attributes
Exemplo:
{
"environment": "production",
"team": "backend"
}
Resposta
O conjunto de configurações atualizado.
Show child attributes
Show child attributes

